error:
cat: results/x84_64-linux-gnu/taishan200-2280-2s48p-256g--a28.0 No
such file or directory
Signed-off-by: Bai Jing <799286817(a)qq.com>
---
tests/lmbench3 | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/tests/lmbench3 b/tests/lmbench3
index 8570a35a..424615be 100755
--- a/tests/lmbench3
+++ b/tests/lmbench3
@@ -3,6 +3,7 @@
# - test_memory_size
# - mode
# - test
+# - os_arch
## lmbench is a suite of simple, portable, ANSI/C microbenchmarks for
## UNIX/POSIX. In general, it measures two key features: latency and
@@ -138,7 +139,7 @@ run_lmbench3_development()
eval "$test=yes"
- sed -i '/lat_pagefault -P $SYNC_MAX $FILE/i [ -f $FILE ] || dd if=/dev/zero of=$FILE count=1 bs=1G' bin/x86_64-linux-gnu/lmbench
+ sed -i '/lat_pagefault -P $SYNC_MAX $FILE/i [ -f $FILE ] || dd if=/dev/zero of=$FILE count=1 bs=1G' bin/$os_arch-linux-gnu/lmbench
log_eval "
(
echo $nr_threads
@@ -177,7 +178,7 @@ run_lmbench3_development()
show_result()
{
- cat results/x86_64-linux-gnu/$testbox.0 || {
+ cat results/$os_arch-linux-gnu/$testbox.0 || {
echo "no test result found"
exit -1
}
--
2.23.0